package com.emegasoft.honeywellscan;

import android.content.Intent;
import android.util.Log;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Permissions;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.IOnActivityResult;
import anywheresoftware.b4a.keywords.Common;


@ShortName("HoneywellScanActivity")
@Version(1f)
@Author("Soluciones informaticas Megasoft")
@DependsOn(values = { "honeywell"})
@ActivityObject
@Permissions(values={"android.permission.CAMERA","android.permission.WRITE_EXTERNAL_STORAGE","android.hardware.camera","android.hardware.camera.autofocus","android.permission.VIBRATE","android.permission.FLASHLIGHT"})

public class HoneywellScanActivity{

	
	@Hide
	public static BA myba;
	private IOnActivityResult ion;
	@Hide
	public static String en;
	
	
	/**
	 * please handle the event
	 * add this to manifest:&lt;activity android:name="ice.zxing.CaptureActivity"
	 *			android:screenOrientation="landscape" android:configChanges="orientation|keyboardHidden"
	 *			android:theme="@android:style/Theme.NoTitleBar.Fullscreen"
	 *			android:windowSoftInputMode="stateAlwaysHidden"&gt;&lt;/activity&gt;
	 */

	
	//private final int ID_SCANSETTING = 0x12;
	//private final int ID_CLEAR_SCREEN = 0x13;
	//private final int SCANKEY        = 0x94;

	
	//private final String eventName="result";
	
	public HoneywellScanActivity(){
	
	}
	

	
	public void DoScan(BA ba, String EventName, int ScanTimeOut ) throws Exception {
		
		Log.v("comienzo doscan","comienzo doscan");
		
		myba=ba;
		en=EventName.toLowerCase();
		Intent izx;
		Common.Log("new intent");
		
		izx=new Intent(ba.activity, HoneywellScanMainActivity.class);
		izx.putExtra("ScanTimeOut", ScanTimeOut);
		Common.Log("new activity");

		ion=new IOnActivityResult() {
			
			@Override
			public void ResultArrived(int arg0, Intent arg1) {
				// TODO Auto-generated method stub
				if (arg0==-1){
				//String atype;
				String Value;
				Value=arg1.getStringExtra("value");
				myba.raiseEvent2(null, false, en+"_result", true, new Object[]{Value});
				}else{
					
					Log.i("B4A", "Got other result code:"+arg0);
				}
			}
		};
		Log.v("ba.activity.startActivity(izx);", "");

		
		//ba.activity.startActivity(izx);
		ba.startActivityForResult(ion, izx);
		
		Common.Log("start activity");

		//ba.activity.startActivity(izx);
		Common.Log("after start activity");
		
		
		
	}

	

	
}
